Bug 93842 - API for stepping over statements
API for stepping over statements
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
: API, API_REVIEW_FAST
Depends on:
Blocks: 57441
  Show dependency treegraph
 
Reported: 2007-02-01 17:55 UTC by Martin Entlicher
Modified: 2010-04-29 09:31 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
The diff of the API change. (20.91 KB, patch)
2007-02-01 18:59 UTC, Martin Entlicher
Details | Diff
A test of the new APIs (18.96 KB, patch)
2007-02-01 19:07 UTC, Martin Entlicher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2007-02-01 17:55:50 UTC
See issue #57441 - we need to support stepping over statements.
A prototype is ready on "AST" branch in debuggercore and debuggerjpda modules.
In order to be able to implement this kind of step, we need to enhance the JPDA
debugger API.

I will attach the actual API change here and ask for review...
Comment 1 Martin Entlicher 2007-02-01 18:59:00 UTC
Created attachment 37935 [details]
The diff of the API change.
Comment 2 Martin Entlicher 2007-02-01 19:07:30 UTC
Created attachment 37936 [details]
A test of the new APIs
Comment 3 Martin Entlicher 2007-02-01 19:14:40 UTC
Please review this compatible API change, which is necessary for
expression-level stepping implementation (issue #57441).
Thanks.
Comment 4 Martin Entlicher 2007-02-08 10:51:12 UTC
Thanks for the review, I'll commit the change into trunk today evening CET.
Comment 5 Martin Entlicher 2007-02-09 16:59:21 UTC
The API change for the new expression-stepping is in trunk:

Checking in debuggercore/api/apichanges.xml;
/shared/data/ccvs/repository/debuggercore/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.7; previous revision: 1.6
done
Checking in debuggercore/api/manifest.mf;
/shared/data/ccvs/repository/debuggercore/api/manifest.mf,v  <--  manifest.mf
new revision: 1.14; previous revision: 1.13
done
Checking in debuggercore/api/src/org/netbeans/api/debugger/ActionsManager.java;
/shared/data/ccvs/repository/debuggercore/api/src/org/netbeans/api/debugger/ActionsManager.java,v
 <--  ActionsManager.java
new revision: 1.22; previous revision: 1.21
done
Checking in debuggerjpda/api/apichanges.xml;
/shared/data/ccvs/repository/debuggerjpda/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.18; previous revision: 1.17
done
Checking in debuggerjpda/api/manifest.mf;
/shared/data/ccvs/repository/debuggerjpda/api/manifest.mf,v  <--  manifest.mf
new revision: 1.20; previous revision: 1.19
done
Checking in debuggerjpda/api/src/org/netbeans/api/debugger/jpda/CallStackFrame.java;
/shared/data/ccvs/repository/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/CallStackFrame.java,v
 <--  CallStackFrame.java
new revision: 1.10; previous revision: 1.9
done
Checking in debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAStep.java;
/shared/data/ccvs/repository/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAStep.java,v
 <--  JPDAStep.java
new revision: 1.4; previous revision: 1.3
done
Checking in debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAThread.java;
/shared/data/ccvs/repository/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/JPDAThread.java,v
 <--  JPDAThread.java
new revision: 1.11; previous revision: 1.10
done
Checking in debuggerjpda/api/src/org/netbeans/spi/debugger/jpda/EditorContext.java;
/shared/data/ccvs/repository/debuggerjpda/api/src/org/netbeans/spi/debugger/jpda/EditorContext.java,v
 <--  EditorContext.java
new revision: 1.10; previous revision: 1.9
done
Comment 6 Quality Engineering 2010-04-29 09:31:59 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo